<?xml version="1.0" encoding="UTF-8"?>

<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.elephant.framework.galaxy.aroad.module.zhtj.mapper.ZhtjZhzsLnsjMapper">

    <resultMap id="zhtjZhzsLnsjMap" type="com.elephant.framework.galaxy.aroad.module.zhtj.entity.ZhtjZhzsLnsj">
        <id property="id" column="id"/>
        <result property="year" column="year"/>
        <result property="unit" column="unit"/>
        <result property="gsgl" column="gsgl"/>
        <result property="tclc" column="tclc"/>
        <result property="yjgl" column="yjgl"/>
        <result property="ejgl" column="ejgl"/>
        <result property="ejjys" column="ejjys"/>
        <result property="sort" column="sort"/>
        <result property="creator" column="creator"/>
        <result property="createTime" column="create_time"/>
        <result property="updatePerson" column="update_person"/>
        <result property="updateTime" column="update_time"/>
        <result property="status" column="status"/>
        <result property="delFlag" column="del_flag"/>
        <result property="remarks" column="remarks"/>
    </resultMap>

    <select id="getListByYear" resultMap="zhtjZhzsLnsjMap">
        SELECT * FROM `t_zhtj_zhzs_lnsj`
        <where>
            <if test="year != null and year != ''">
                year >= #{year}
            </if>
        </where>
    </select>
    <select id="selectListForPtgsd" resultMap="zhtjZhzsLnsjMap">
        select * from t_zhtj_zhzs_lnsj_ptgsd
        <where>
            <if test="lm.year != null and lm.year != ''">
                year >= #{lm.year}
            </if>
        </where>
    </select>

</mapper>
